#ifndef __CHANNELVIEW_H__
#define __CHANNELVIEW_H__

#include <qframe.h>
#include <qcombo.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <qstrlist.h>
#include "ktabctl.h"
#include "ircClient.h"
#include "pageTab.h"

class ChannelView : public PageTab
{
  Q_OBJECT
public:
  ChannelView (IrcClient* client, QWidget* parent=NULL, const char* name=NULL);
  ~ChannelView();
public slots:
   void slotAddChannel(const char* Channel, const char* Key=NULL);
protected:
   void closeEvent (QCloseEvent *e);
};

#endif



