#include "ircBan.h"
#include "StringToken.h"

IrcBan::IrcBan(const char* Banned, const char* By, ulong Interval):
  IrcCore(0, Banned, Interval)
{
  if (!Banned)
     return;

  mBanned = Banned;
  if (!By)
     mBy = "";
  else
     mBy = By;
}

IrcBan::IrcBan(const char* BanStr, ulong Interval):
  IrcCore(0, 0, Interval)
{
  StringToken st(BanStr);
  if (!(mBanned=st.nextToken()))
     return;
  setName(mBanned);
  if (!(mBy=st.nextToken()))
     mBy="";
}

QString IrcBan::ban()
{
  return mBanned;
}


