#ifndef __OPTIONPREFDIALOG_H__
#define __OPTIONPREFDIALOG_H__

#include "pageTab.h"
#include <qdialog.h>

class OptPrefDialog;

class OptPref : public PageTab
{
  friend class OptPrefDialog;
protected:
  virtual void createTreeListItem();
public:
  OptPref(IrcClient* Client, QWidget* parent, const char* Name=NULL);
  ~OptPref();
};

class OptPrefDialog : public QDialog
{
protected:
  OptPref*  optPref;
public:
  OptPrefDialog(IrcClient* Client, QWidget* parent, const char* Name=NULL);
  ~OptPrefDialog();
  void show(const char* name=NULL);
  QWidget* getPage(const char* name);
};

#endif 
