#ifndef __CHANNELTAB_H__
#define __CHANNELTAB_H__

#include <qobject.h>
#include <qframe.h>
#include <qlistbox.h>
#include <kpanner.h>
#include <ktreelist.h>
#include "ircHtml.h"
#include "ircLine.h"
#include "ircClient.h"
#include "channelPage.h"
#include "pageTab.h"

class IrcView;

class ChannelTab : public PageTab
{
  Q_OBJECT
protected:
  IrcView*   view;
public slots:
  void slotAddChannel(const char* Channel, const char* Key);
public:
  ChannelTab(IrcClient* Client, IrcView* View, QWidget* parent, const char* Name=NULL);
  ~ChannelTab();
};

#endif 


