#ifndef __HTMLCONTENT_H__
#define __HTMLCONTENT_H__

#include <qstring.h>
#include <qstrlist.h>
#include <qobject.h>
#include <html.h>
#include "outputHtml.h"

class HtmlContent : public QObject
{
  Q_OBJECT
protected:
  //OutputHtml*  htmlw;
  KHTMLWidget* htmlw;
  QStrList     buffer;
  QString      path;
  int          size;
  int          curSize;
signals:
  void signNextBuffer(const char* Txt);
public:
  HtmlContent(KHTMLWidget* htmlw, int size=75);
  ~HtmlContent(){};
  void    writeBuffer(const char* Txt);
  void    write(const char* Txt);
  void    start(const char* url=NULL);
  void    showHtml();
  QStrList& list();
};

#endif

