#include <iostream.h>
#include "StringToken.h"
#include "ircTab.h"
#include "ircTab.moc"
#include "fontOpt.h"
#include "colorOpt.h"
#include "ircMsgPage.h"
#include "webServerPage.h"

#include <iostream.h>
#include <qlayout.h>

IrcTab::IrcTab(IrcClient* Client, QWidget* parent, const char* Name):
  PageTab(Client, parent, Name)
{
#ifdef EDEBUG
  cout << "Konstruktor IrcTab" << endl;
#endif
  createTreeListItem();
#ifdef EDEBUG
  cout << "Konstruktor IrcTab...Ok" << endl;
#endif
}

IrcTab::~IrcTab()
{
#ifdef EDEBUG
  cout << "Destruktor IrcTab" << endl;
#endif
}

void IrcTab::createTreeListItem()
{
#ifdef EDEBUG
  cout << "createTreeListItem()" << endl;
#endif
  int i=0;
  QString s;

  int idx = treeList->count();
  s = "Irc Msg";
  treeList->insertItem(s, 0, -1);
  IrcMsgPage* imp = new IrcMsgPage(client, pageWidget, s);
  imp->vbox = new QVBoxLayout(pageWidget,0);
  imp->vbox->addWidget(imp);
  imp->vbox->activate();
  page->insert(s, imp);
  connect(this,
	  SIGNAL(signCurrentPage(const char*)),
	  imp,
	  SLOT  (slotCurrentPage(const char*)));

  s = "Web Server";
  treeList->insertItem(s, 0, i++, 0);
  WebServerPage* wsp = new WebServerPage(client, pageWidget, s);
  wsp->vbox = new QVBoxLayout(pageWidget,0);
  wsp->vbox->addWidget(wsp);
  wsp->vbox->activate();
  connect(this,
	  SIGNAL(signCurrentPage(const char*)),
	  wsp,
	  SLOT  (slotCurrentPage(const char*)));

  page->insert(s, wsp);
  slotSetPage(0);
}






